Subject: Re: [PATCH v1 6/7] correct blame for files commited with CRLF

From: Junio C Hamano <[email-masked]>
Date: Tue, 29 Mar 2016 13:32:23 -0700

Junio C Hamano <[email-masked]> writes:

> Torsten Bögershausen <[email-masked]> writes:
>
>> If we had made the CRLF -> LF conversion, yes. But we don't do that.
>> crlf_to_git() returns without touching the line endings.
>
> That sounds quite broken.  How would a user ever fix broken data in
> the index then?  I know the commit that often appears in these
> discussions claims to give us "safer CRLF" handling, but I have a
> suspicion that perhaps we should rethink if that claim is really
> true.  Isn't it giving us more problems than it is worth?

Having said all that, within the context of the current codebase
where autocrlf refuses to do the conversion, I agree that teaching
blame to follow the same logic makes sense.  Let me review the
series up to 6/7 with fresh eyes.

Thanks.